import { http } from '@/utils/http'
// 查询游戏赛事列表
export const matchList = (data) => {
  return http({
    url: '/api/game/match/list',
    method: 'get',
    data,
  })
}
// 查询游戏赛事详情
export const matchInfo = (data) => {
    return http({
      url: '/api/game/match/info',
      method: 'get',
      data,
    })
  }
  // 查询游戏赛事详情
export const matchRank = (data) => {
    return http({
      url: '/api/game/match/rank',
      method: 'get',
      data,
    })
  }
  // 查询用户奖金信息
export const userPrize = (data) => {
    return http({
      url: '/api/game/user/prize',
      method: 'post',
      data,
    })
  }
  // 领取用户奖金
export const claimPrize = (data) => {
    return http({
      url: '/api/game/claim/prize',
      method: 'post',
      data,
    })
  }
// 校验报名竞赛
export const verifyEnroll = (data) => {
  return http({
    url: '/api/game/verify/enroll',
    method: 'post',
    data,
  })
}
// 报名竞赛
export const matchEnroll = (data) => {
  return http({
    url: '/api/game/match/enroll',
    method: 'post',
    data,
  })
}